
rgw - Bug #51018

improve JWT token validation in accordance with JSON Web Key Set

05/28/2021 01:50 PM - Pritha Srivastava

Status: Fix Under Review % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Pritha Srivastava   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 41525

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Improve and enhance the JWT validation, based on different parameters passed in as JSON Web Key Set like x5u, n, e etc.

Related issues:

Related to rgw - Fix #51346: rgw/sts: Correct/improve/add thumbprint validati... New

History

#1 - 06/03/2021 02:13 PM - Daniel Gryniewicz

- Status changed from In Progress to Fix Under Review

#2 - 11/18/2021 03:30 PM - Casey Bodley

- Related to Fix #51346: rgw/sts: Correct/improve/add thumbprint validation for incoming JWT from an oidc provider added
